Developers
API referenceReferenceDocuments

Document relation — replace

Replace one document relation by ID (full update).

PUT
/v1/business/{business_slug}/document/{document_id}/relation/{relation_id}/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

document_id*integer

Identifier of the target document. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

relation_id*integer

Identifier of the target relation. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/business/string/document/0/relation/0/" \  -H "Content-Type: application/json" \  -d '{    "related_document": 0,    "role": "ACCRUAL",    "type": "ACCRUAL_PAIR"  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "related_document": 0,  "related_document_summary": {    "property1": null,    "property2": null  },  "description": "string",  "role": "ACCRUAL",  "type": "ACCRUAL_PAIR",  "source_document_signals": {    "property1": null,    "property2": null  },  "related_document_signals": {    "property1": null,    "property2": null  }}